random-ip(1)

NAME
random-ip - print random IPv4 addresses

SYNOPSIS
random-ip [loops] [byte1] [byte2] [byte3]

DESCRIPTION
Program random-ip prints loops random ipv4 addresses, one per line. If loops command line argument is not specified, it defaults to 10000. Further command line arguments fix first, second and third octet of generated addressed to specified values. They are interpreted as decimal integers in range from 0 to 255.

ERRORS
This program does not any input value validation, any command line arguments are accepted. If argument does not parse as proper decimal integer, value of longest prefix, that do parse is used.

If arguments that specify octets in generated addresses are lesser then 0 or bigger then 255, the value is interpreted modulo 256.